List payment methods

Retrieve an ordered and paginated list of all retained payment methods in the authenticated environment.

States Payment methods can exist in several states in the Spreedly vault - retained, redacted, cached, or used. Retained payment methods are stored in Spreedly's vault until redacted. Redacted payment methods are payment methods that were either not retained or have been manually redacted. Cached payment methods are payment methods that have not been retained but have not yet been automatically redacted yet. Cached payment methods can still be retained. For more information, please see our guide on retaining payment methods.

If no state parameter or an invalid state parameter is passed, list will only return retained payment methods. If the state parameter is passed, list will return those parameters: retained, redacted, cached, used.

Example: https://core.spreedly.com/v1/payment_methods.json?state=retained,redacted,cached,used

If the state parameter is combined with other existing parameters such as metadata, both will be considered.

Example: https://core.spreedly.com/v1/payment_methods.json?metadata[customer_id]=123abc&state=redacted,retained

Query Params
string

The order of the returned list. Default is asc, which returns the oldest records first. To list newer records first, use desc.

string

The token of the item to start from (e.g., the last token received in the previous list if iterating through records)

string

A metadata key/value pair represented as a hash (e.g. metadata[key]=value).

string

The list of storage_states to return. By default returns retained, acceptable values are retained, redacted, cached, used

string

The number of payment methods to return. By default returns 20, maximum allowed is 100.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
Response
Choose an example:
application/json